program count_and_watch;

include "src/teclas.h"
include "src/shadows.h"
include "src/rt_clock.h"
include "src/clock.h"
include "src/contadores.h"
include "src/game.h"


include "src/teclas.inc"
include "src/shadows.inc"
include "src/rt_clock.inc"
include "src/clock.inc"
include "src/lcd_clock.inc"
include "src/lcd_clock_sound.inc"
include "src/contadores.inc"
include "src/game_tap_counting.inc"
include "src/game_1p_counting.inc"
include "src/game_2p_counting.inc"
include "src/game_3p_counting.inc"
include "src/game_4p_counting.inc"
include "src/menu.inc"
include "src/game.inc"

PRIVATE
    int id_control_teclas;
    int id_control_inclinacion;
    int id_control_despl_sombras;
    
    int temp_graf;
BEGIN
    set_fps(50,0);
    full_screen=false;
    set_mode(320,240,16);
    
    map_clear(0,0,rgb(206,255,222));
    switch (OS_ID)
    case 7,8:   //GP2X, WIZ
        id_control_teclas=control_gp2x();
        sombra_desp_x=2;
        sombra_desp_y=2;
    end
    case 9:     //CAANOO
        id_control_teclas=control_gp2x();
        id_control_inclinacion=control_inclinacin();
        //calibrando los giroscopios
        calibrar_inclinacion();
        signal(id,s_sleep);
        frame;
        id_control_despl_sombras=sombra_calcula_desplazamiento();
    end
    default:    //PC
        id_control_teclas=control_teclado();
        sombra_desp_x=2;
        sombra_desp_y=2;
    end
    end //switch
    
    temp_graf=load_png("grafs/splash.png");
    put_screen(0,temp_graf);
    frame(10000);
    clear_screen();
    unload_map(0,temp_graf);
    temp_graf=load_png("grafs/logos.png");
    put_screen(0,temp_graf);
    frame(10000);
    clear_screen();
    unload_map(0,temp_graf);
    
    game();
    signal(id,s_sleep);
    frame;
    //while (teclas[_KEY_ESC] != 1) frame; end
    
    //let_me_alone();
    if (exists(id_control_teclas)) signal(id_control_teclas,s_kill); end
    if (exists(id_control_inclinacion)) signal(id_control_inclinacion,s_kill); end
    if (exists(id_control_despl_sombras)) signal(id_control_despl_sombras,s_kill); end
END
